ConstantsPortletMessages (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client

## Class ConstantsPortletMessages

- java.lang.Object
- - org.gcube.portlets.user.messages.client.ConstantsPortletMessages

-     public class ConstantsPortletMessages
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConstantsPortletMessages.ViewSwitchType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABSTRACTICON`
    `static String` | `ACCESSWEBDAVMSG`
    `static String` | `ADD`
    `static String` | `ARCHIVE`
    `static String` | `ARCHIVEUPLOADHEADER`
    `static String` | `ATTACHS`
    `static String` | `CLK`
    `static String` | `CNM`
    `static String` | `COPYITEM`
    `static String` | `CPI`
    `static String` | `DATE`
    `static int` | `DEFAULT_HEIGHT`
    `static String` | `DESCRIPTION`
    `static String` | `DIALOG_DESCRIPTION`
    `static String` | `DIALOG_NAME`
    `static String` | `DIALOG_URL`
    `static String` | `DLM`
    `static String` | `DOWNLOAD_WORKSPACE_SERVICE`
    `static String` | `DOWNLOADSTATE`
    `static String` | `DWL`
    `static String` | `DWM`
    `static String` | `EMPTY`
    `static String` | `ERROR`
    `static String` | `ERRORURLNOTREACHABLE`
    `static String` | `EXPLORER`
    `static String` | `FILE`
    `static String` | `FILEUPLOADHEADER`
    `static String` | `FOLDERITEMTYPE`
    `static String` | `FOLDERLOADED`
    `static String` | `FOLDERNOTLOAD`
    `static String` | `FORWARDTO`
    `static String` | `FROM`
    `static String` | `FROMLOGIN`
    `static String` | `FULLNAME`
    `static String` | `FWM`
    `static String` | `GRIDCOLUMNCREATIONDATE`
    `static String` | `GRIDCOLUMNLOGIN`
    `static String` | `ICON`
    `static String` | `ID`
    `static String` | `IDENTIFIER`
    `static String` | `IDREPORT`
    `static String` | `IDTEMPLATE`
    `static String` | `INFO`
    `static String` | `INS`
    `static String` | `ISDIRECTORY`
    `static String` | `ISREAD`
    `static String` | `ISSHARED`
    `static String` | `LASTMODIFIED`
    `static String` | `LISTATTACHMENTSNAMES`
    `static String` | `LISTATTACHS`
    `static String` | `LISTCONTACTSTO`
    `static String` | `LISTCONTACTSTOSTRING`
    `static String` | `LNK`
    `static String` | `LOADER`
    `static String` | `LOADING`
    `static String` | `LOADINGSTYLE`
    `static String` | `LOGIN`
    `static String` | `MESSAGE_ADD`
    `static String` | `MESSAGE_ADD_CONTACT`
    `static String` | `MESSAGE_ADD_FOLDER`
    `static String` | `MESSAGE_ADD_FOLDER_IN`
    `static String` | `MESSAGE_ADD_SMART_FOLDER`
    `static String` | `MESSAGE_ADD_SUBJECT`
    `static String` | `MESSAGE_ADD_URL`
    `static String` | `MESSAGE_ADD_URL_IN`
    `static String` | `MESSAGE_CONFIRM_DELETE_ITEM`
    `static String` | `MESSAGE_CONFIRM_DELETE_SMART_FOLDER`
    `static String` | `MESSAGE_CREATE_NEW_MESSAGE`
    `static String` | `MESSAGE_DELETE`
    `static String` | `MESSAGE_DELETE_ITEM`
    `static String` | `MESSAGE_DELETE_MESSAGE`
    `static String` | `MESSAGE_DOWNLOAD_ITEM`
    `static String` | `MESSAGE_ERROR_OCCURED`
    `static String` | `MESSAGE_FOLDER_NAME`
    `static String` | `MESSAGE_FORWARD_MESSAGE`
    `static String` | `MESSAGE_GET_NEW_MESSAGES`
    `static String` | `MESSAGE_ITEM_NAME`
    `static String` | `MESSAGE_MARK_AS_NOTREAD`
    `static String` | `MESSAGE_MARK_AS_READ`
    `static String` | `MESSAGE_NAME_FORCE_APHANUMERIC`
    `static String` | `MESSAGE_OPEN_REPORT`
    `static String` | `MESSAGE_OPEN_REPORT_TEMPLATE`
    `static String` | `MESSAGE_OPEN_URL`
    `static String` | `MESSAGE_PREVIEW`
    `static String` | `MESSAGE_REFRESH_FOLDER`
    `static String` | `MESSAGE_RENAME`
    `static String` | `MESSAGE_REPLY`
    `static String` | `MESSAGE_REPLY_ALL`
    `static String` | `MESSAGE_SAVE_ATTACHS`
    `static String` | `MESSAGE_SEARCH_FORCE_APHANUMERIC`
    `static String` | `MESSAGE_SEND_TO`
    `static String` | `MESSAGE_SEND_TO_OK`
    `static String` | `MESSAGE_SENT_IN_DATE`
    `static String` | `MESSAGE_SHOW`
    `static String` | `MESSAGE_SMART_FOLDER_NAME`
    `static String` | `MESSAGE_UPLOAD_ARCHIVE`
    `static String` | `MESSAGE_UPLOAD_FILE`
    `static String` | `MESSAGE_WEBDAV_URL`
    `static String` | `MESSAGES`
    `static String` | `MESSAGETYPE`
    `static String` | `MKNR`
    `static String` | `MKR`
    `static String` | `NAME`
    `static String` | `NOFILESPECIFIED`
    `static Object` | `NONE`
    `static String` | `NUMATTACHS`
    `static String` | `NUMFAILS`
    `static String` | `NUMREQUESTS`
    `static String` | `OPM`
    `static String` | `ORP`
    `static String` | `ORT`
    `static String` | `OWNER`
    `static String` | `PARENT`
    `static String` | `PASTEITEM`
    `static String` | `PORTLETDIV`
    `static String` | `PREVIEWOF`
    `static String` | `PROGRESS`
    `static String` | `PRW`
    `static String` | `PSI`
    `static String` | `QUERY`
    `static String` | `REM`
    `static String` | `REPORTGENERATION`
    `static String` | `RFH`
    `static String` | `RNM`
    `static String` | `ROOT`
    `static String` | `SAVINGYOURFILE`
    `static String` | `SDT`
    `static String` | `SESSION_EXPIRED_DIV`
    `static String` | `SHORTCUTCATEGORY`
    `static String` | `SHORTCUTVIEW`
    `static String` | `SHW`
    `static String` | `SIZE`
    `static String` | `SMARTFOLDER`
    `static String` | `STATUS`
    `static String` | `SUBJECT`
    `static String` | `SVA`
    `static String` | `TEMPLATECREATION`
    `static String` | `TEXTMESS`
    `static String` | `TITLEACCESSWEBDAV`
    `static String` | `TREE`
    `static String` | `TREEVIEW`
    `static String` | `TYPE`
    `static String` | `UPA`
    `static String` | `UPL`
    `static String` | `URL_WEBDAV`
    `static String` | `VALIDATINGOPERATION`
    `static String` | `WDV`
    `static String` | `WEBDAVURLLINKREADMORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantsPortletMessages()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PORTLETDIV

          public static final String PORTLETDIV

      See Also:
        Constant Field Values

    - #### DOWNLOAD_WORKSPACE_SERVICE

          public static final String DOWNLOAD_WORKSPACE_SERVICE

    - #### EXPLORER

          public static final String EXPLORER

      See Also:
        Constant Field Values

    - #### DEFAULT_HEIGHT

          public static final int DEFAULT_HEIGHT

      See Also:
        Constant Field Values

    - #### MESSAGE_CONFIRM_DELETE_ITEM

          public static final String MESSAGE_CONFIRM_DELETE_ITEM

      See Also:
        Constant Field Values

    - #### MESSAGE_CONFIRM_DELETE_SMART_FOLDER

          public static final String MESSAGE_CONFIRM_DELETE_SMART_FOLDER

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD_SMART_FOLDER

          public static final String MESSAGE_ADD_SMART_FOLDER

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD_FOLDER

          public static final String MESSAGE_ADD_FOLDER

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD

          public static final String MESSAGE_ADD

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD_FOLDER_IN

          public static final String MESSAGE_ADD_FOLDER_IN

      See Also:
        Constant Field Values

    - #### MESSAGE_ITEM_NAME

          public static final String MESSAGE_ITEM_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_RENAME

          public static final String MESSAGE_RENAME

      See Also:
        Constant Field Values

    - #### MESSAGE_DELETE_ITEM

          public static final String MESSAGE_DELETE_ITEM

      See Also:
        Constant Field Values

    - #### MESSAGE_DELETE

          public static final String MESSAGE_DELETE

      See Also:
        Constant Field Values

    - #### MESSAGE_UPLOAD_FILE

          public static final String MESSAGE_UPLOAD_FILE

      See Also:
        Constant Field Values

    - #### MESSAGE_UPLOAD_ARCHIVE

          public static final String MESSAGE_UPLOAD_ARCHIVE

      See Also:
        Constant Field Values

    - #### MESSAGE_FOLDER_NAME

          public static final String MESSAGE_FOLDER_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_SMART_FOLDER_NAME

          public static final String MESSAGE_SMART_FOLDER_NAME

      See Also:
        Constant Field Values

    - #### LOADING

          public static final String LOADING

      See Also:
        Constant Field Values

    - #### LOADINGSTYLE

          public static final String LOADINGSTYLE

      See Also:
        Constant Field Values

    - #### VALIDATINGOPERATION

          public static final String VALIDATINGOPERATION

      See Also:
        Constant Field Values

    - #### MESSAGE_DOWNLOAD_ITEM

          public static final String MESSAGE_DOWNLOAD_ITEM

      See Also:
        Constant Field Values

    - #### MESSAGE_PREVIEW

          public static final String MESSAGE_PREVIEW

      See Also:
        Constant Field Values

    - #### MESSAGE_SHOW

          public static final String MESSAGE_SHOW

      See Also:
        Constant Field Values

    - #### MESSAGE_OPEN_URL

          public static final String MESSAGE_OPEN_URL

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD_URL

          public static final String MESSAGE_ADD_URL

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD_URL_IN

          public static final String MESSAGE_ADD_URL_IN

      See Also:
        Constant Field Values

    - #### MESSAGE_OPEN_REPORT_TEMPLATE

          public static final String MESSAGE_OPEN_REPORT_TEMPLATE

      See Also:
        Constant Field Values

    - #### MESSAGE_OPEN_REPORT

          public static final String MESSAGE_OPEN_REPORT

      See Also:
        Constant Field Values

    - #### MESSAGE_SEND_TO

          public static final String MESSAGE_SEND_TO

      See Also:
        Constant Field Values

    - #### MESSAGE_SENT_IN_DATE

          public static final String MESSAGE_SENT_IN_DATE

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD_CONTACT

          public static final String MESSAGE_ADD_CONTACT

      See Also:
        Constant Field Values

    - #### MESSAGE_ADD_SUBJECT

          public static final String MESSAGE_ADD_SUBJECT

      See Also:
        Constant Field Values

    - #### MESSAGE_ERROR_OCCURED

          public static final String MESSAGE_ERROR_OCCURED

      See Also:
        Constant Field Values

    - #### INFO

          public static final String INFO

      See Also:
        Constant Field Values

    - #### MESSAGE_SEND_TO_OK

          public static final String MESSAGE_SEND_TO_OK

      See Also:
        Constant Field Values

    - #### COPYITEM

          public static final String COPYITEM

      See Also:
        Constant Field Values

    - #### PASTEITEM

          public static final String PASTEITEM

      See Also:
        Constant Field Values

    - #### MESSAGE_REFRESH_FOLDER

          public static final String MESSAGE_REFRESH_FOLDER

      See Also:
        Constant Field Values

    - #### LISTATTACHMENTSNAMES

          public static final String LISTATTACHMENTSNAMES

      See Also:
        Constant Field Values

    - #### LISTCONTACTSTOSTRING

          public static final String LISTCONTACTSTOSTRING

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

    - #### LOADER

          public static final String LOADER

      See Also:
        Constant Field Values

    - #### DOWNLOADSTATE

          public static final String DOWNLOADSTATE

      See Also:
        Constant Field Values

    - #### NUMFAILS

          public static final String NUMFAILS

      See Also:
        Constant Field Values

    - #### NUMREQUESTS

          public static final String NUMREQUESTS

      See Also:
        Constant Field Values

    - #### MESSAGE_WEBDAV_URL

          public static final String MESSAGE_WEBDAV_URL

      See Also:
        Constant Field Values

    - #### URL_WEBDAV

          public static final String URL_WEBDAV

      See Also:
        Constant Field Values

    - #### MESSAGE_NAME_FORCE_APHANUMERIC

          public static final String MESSAGE_NAME_FORCE_APHANUMERIC

      See Also:
        Constant Field Values

    - #### MESSAGE_SEARCH_FORCE_APHANUMERIC

          public static final String MESSAGE_SEARCH_FORCE_APHANUMERIC

      See Also:
        Constant Field Values

    - #### MESSAGE_CREATE_NEW_MESSAGE

          public static final String MESSAGE_CREATE_NEW_MESSAGE

      See Also:
        Constant Field Values

    - #### FORWARDTO

          public static final String FORWARDTO

      See Also:
        Constant Field Values

    - #### MESSAGETYPE

          public static final String MESSAGETYPE

      See Also:
        Constant Field Values

    - #### WEBDAVURLLINKREADMORE

          public static final String WEBDAVURLLINKREADMORE

      See Also:
        Constant Field Values

    - #### TITLEACCESSWEBDAV

          public static final String TITLEACCESSWEBDAV

      See Also:
        Constant Field Values

    - #### ACCESSWEBDAVMSG

          public static final String ACCESSWEBDAVMSG

      See Also:
        Constant Field Values

    - #### FILEUPLOADHEADER

          public static final String FILEUPLOADHEADER

      See Also:
        Constant Field Values

    - #### FILE

          public static final String FILE

      See Also:
        Constant Field Values

    - #### ERROR

          public static final String ERROR

      See Also:
        Constant Field Values

    - #### NOFILESPECIFIED

          public static final String NOFILESPECIFIED

      See Also:
        Constant Field Values

    - #### PROGRESS

          public static final String PROGRESS

      See Also:
        Constant Field Values

    - #### SAVINGYOURFILE

          public static final String SAVINGYOURFILE

      See Also:
        Constant Field Values

    - #### PREVIEWOF

          public static final String PREVIEWOF

      See Also:
        Constant Field Values

    - #### ARCHIVEUPLOADHEADER

          public static final String ARCHIVEUPLOADHEADER

      See Also:
        Constant Field Values

    - #### ARCHIVE

          public static final String ARCHIVE

      See Also:
        Constant Field Values

    - #### DIALOG_DESCRIPTION

          public static final String DIALOG_DESCRIPTION

      See Also:
        Constant Field Values

    - #### DIALOG_NAME

          public static final String DIALOG_NAME

      See Also:
        Constant Field Values

    - #### DIALOG_URL

          public static final String DIALOG_URL

      See Also:
        Constant Field Values

    - #### ERRORURLNOTREACHABLE

          public static final String ERRORURLNOTREACHABLE

      See Also:
        Constant Field Values

    - #### ROOT

          public static final String ROOT

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### ICON

          public static final String ICON

      See Also:
        Constant Field Values

    - #### SHORTCUTCATEGORY

          public static final String SHORTCUTCATEGORY

      See Also:
        Constant Field Values

    - #### IDENTIFIER

          public static final String IDENTIFIER

      See Also:
        Constant Field Values

    - #### FOLDERITEMTYPE

          public static final String FOLDERITEMTYPE

      See Also:
        Constant Field Values

    - #### PARENT

          public static final String PARENT

      See Also:
        Constant Field Values

    - #### ISDIRECTORY

          public static final String ISDIRECTORY

      See Also:
        Constant Field Values

    - #### ISSHARED

          public static final String ISSHARED

      See Also:
        Constant Field Values

    - #### LASTMODIFIED

          public static final String LASTMODIFIED

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### OWNER

          public static final String OWNER

      See Also:
        Constant Field Values

    - #### QUERY

          public static final String QUERY

      See Also:
        Constant Field Values

    - #### FOLDERNOTLOAD

          public static final String FOLDERNOTLOAD

      See Also:
        Constant Field Values

    - #### FOLDERLOADED

          public static final String FOLDERLOADED

      See Also:
        Constant Field Values

    - #### GRIDCOLUMNCREATIONDATE

          public static final String GRIDCOLUMNCREATIONDATE

      See Also:
        Constant Field Values

    - #### SIZE

          public static final String SIZE

      See Also:
        Constant Field Values

    - #### EMPTY

          public static final String EMPTY

      See Also:
        Constant Field Values

    - #### INS

          public static final String INS

      See Also:
        Constant Field Values

    - #### ADD

          public static final String ADD

      See Also:
        Constant Field Values

    - #### REM

          public static final String REM

      See Also:
        Constant Field Values

    - #### UPL

          public static final String UPL

      See Also:
        Constant Field Values

    - #### DWL

          public static final String DWL

      See Also:
        Constant Field Values

    - #### PRW

          public static final String PRW

      See Also:
        Constant Field Values

    - #### RNM

          public static final String RNM

      See Also:
        Constant Field Values

    - #### UPA

          public static final String UPA

      See Also:
        Constant Field Values

    - #### LNK

          public static final String LNK

      See Also:
        Constant Field Values

    - #### SHW

          public static final String SHW

      See Also:
        Constant Field Values

    - #### CLK

          public static final String CLK

      See Also:
        Constant Field Values

    - #### ORT

          public static final String ORT

      See Also:
        Constant Field Values

    - #### ORP

          public static final String ORP

      See Also:
        Constant Field Values

    - #### SDT

          public static final String SDT

      See Also:
        Constant Field Values

    - #### DWM

          public static final String DWM

      See Also:
        Constant Field Values

    - #### MKR

          public static final String MKR

      See Also:
        Constant Field Values

    - #### MKNR

          public static final String MKNR

      See Also:
        Constant Field Values

    - #### DLM

          public static final String DLM

      See Also:
        Constant Field Values

    - #### FWM

          public static final String FWM

      See Also:
        Constant Field Values

    - #### CPI

          public static final String CPI

      See Also:
        Constant Field Values

    - #### PSI

          public static final String PSI

      See Also:
        Constant Field Values

    - #### RFH

          public static final String RFH

      See Also:
        Constant Field Values

    - #### WDV

          public static final String WDV

      See Also:
        Constant Field Values

    - #### CNM

          public static final String CNM

      See Also:
        Constant Field Values

    - #### OPM

          public static final String OPM

      See Also:
        Constant Field Values

    - #### SVA

          public static final String SVA

      See Also:
        Constant Field Values

    - #### MESSAGE_SAVE_ATTACHS

          public static final String MESSAGE_SAVE_ATTACHS

      See Also:
        Constant Field Values

    - #### TREE

          public static final String TREE

      See Also:
        Constant Field Values

    - #### SMARTFOLDER

          public static final String SMARTFOLDER

      See Also:
        Constant Field Values

    - #### MESSAGES

          public static final String MESSAGES

      See Also:
        Constant Field Values

    - #### SHORTCUTVIEW

          public static final String SHORTCUTVIEW

      See Also:
        Constant Field Values

    - #### TREEVIEW

          public static final String TREEVIEW

      See Also:
        Constant Field Values

    - #### IDTEMPLATE

          public static final String IDTEMPLATE

      See Also:
        Constant Field Values

    - #### TEMPLATECREATION

          public static final String TEMPLATECREATION

      See Also:
        Constant Field Values

    - #### IDREPORT

          public static final String IDREPORT

      See Also:
        Constant Field Values

    - #### REPORTGENERATION

          public static final String REPORTGENERATION

      See Also:
        Constant Field Values

    - #### LOGIN

          public static final String LOGIN

      See Also:
        Constant Field Values

    - #### FULLNAME

          public static final String FULLNAME

      See Also:
        Constant Field Values

    - #### GRIDCOLUMNLOGIN

          public static final String GRIDCOLUMNLOGIN

      See Also:
        Constant Field Values

    - #### SUBJECT

          public static final String SUBJECT

      See Also:
        Constant Field Values

    - #### FROM

          public static final String FROM

      See Also:
        Constant Field Values

    - #### DATE

          public static final String DATE

      See Also:
        Constant Field Values

    - #### NUMATTACHS

          public static final String NUMATTACHS

      See Also:
        Constant Field Values

    - #### FROMLOGIN

          public static final String FROMLOGIN

      See Also:
        Constant Field Values

    - #### LISTCONTACTSTO

          public static final String LISTCONTACTSTO

      See Also:
        Constant Field Values

    - #### LISTATTACHS

          public static final String LISTATTACHS

      See Also:
        Constant Field Values

    - #### TEXTMESS

          public static final String TEXTMESS

      See Also:
        Constant Field Values

    - #### ISREAD

          public static final String ISREAD

      See Also:
        Constant Field Values

    - #### MESSAGE_GET_NEW_MESSAGES

          public static final String MESSAGE_GET_NEW_MESSAGES

      See Also:
        Constant Field Values

    - #### MESSAGE_MARK_AS_READ

          public static final String MESSAGE_MARK_AS_READ

      See Also:
        Constant Field Values

    - #### MESSAGE_MARK_AS_NOTREAD

          public static final String MESSAGE_MARK_AS_NOTREAD

      See Also:
        Constant Field Values

    - #### MESSAGE_DELETE_MESSAGE

          public static final String MESSAGE_DELETE_MESSAGE

      See Also:
        Constant Field Values

    - #### MESSAGE_FORWARD_MESSAGE

          public static final String MESSAGE_FORWARD_MESSAGE

      See Also:
        Constant Field Values

    - #### MESSAGE_REPLY

          public static final String MESSAGE_REPLY

      See Also:
        Constant Field Values

    - #### MESSAGE_REPLY_ALL

          public static final String MESSAGE_REPLY_ALL

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### ATTACHS

          public static final String ATTACHS

      See Also:
        Constant Field Values

    - #### NONE

          public static final Object NONE

    - #### ABSTRACTICON

          public static final String ABSTRACTICON

      See Also:
        Constant Field Values

    - #### SESSION_EXPIRED_DIV

          public static final String SESSION_EXPIRED_DIV

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstantsPortletMessages

          public ConstantsPortletMessages()

Copyright © 2014. All Rights Reserved.